Index: src/arch/i386/boot/acpi.c
===================================================================
--- src/arch/i386/boot/acpi.c	(Revision 4427)
+++ src/arch/i386/boot/acpi.c	(Arbeitskopie)
@@ -26,6 +26,8 @@
 #include <arch/acpi.h>
 #include <arch/acpigen.h>
 #include <device/pci.h>
+#include <arch/io.h>
+#include <pc80/mc146818rtc.h>
 
 u8 acpi_checksum(u8 *table, u32 length)
 {
@@ -516,6 +518,12 @@
 {
 	/* just restore the SMP trampoline and continue with wakeup on assembly level */
 	memcpy(lowmem_backup_ptr, lowmem_backup, lowmem_backup_size);
-	acpi_jmp_to_realm_wakeup((u32) vector);
+	//acpi_jmp_to_realm_wakeup((u32) vector);
+
+	/*Seabios at entry_post:(in romlayout.S) will check cmos[0x0f] as a S3 resuming flag.
+	Seabios sets bit 7 in order to disable the NMI - it shouldn't hurt to always set bit 7*/
+	outb(0x8f, RTC_BASE_PORT + 0);  
+	outb(0xfe, RTC_BASE_PORT + 1);  
+	acpi_jmp_to_realm_wakeup(0xffff0);
 }
 #endif
Index: targets/via/vx800example/Config-abuild.lb
===================================================================
--- targets/via/vx800example/Config-abuild.lb	(Revision 0)
+++ targets/via/vx800example/Config-abuild.lb	(Revision 0)
@@ -0,0 +1,20 @@
+# This will make a target directory of ./VENDOR_MAINBOARD
+
+target VENDOR_MAINBOARD
+mainboard VENDOR/MAINBOARD
+
+option CC="CROSSCC"
+option CROSS_COMPILE="CROSS_PREFIX"
+option HOSTCC="CROSS_HOSTCC"
+
+__COMPRESSION__
+
+option ROM_SIZE=512*1024
+
+romimage "fallback" 
+	option USE_FALLBACK_IMAGE=1
+	option ROM_IMAGE_SIZE=0x20000
+	option COREBOOT_EXTRA_VERSION=".0-fallback"
+	payload __PAYLOAD__
+end
+buildrom ./coreboot.rom ROM_SIZE "fallback"
Index: targets/via/vx800example/Config.lb
===================================================================
--- targets/via/vx800example/Config.lb	(Revision 0)
+++ targets/via/vx800example/Config.lb	(Revision 0)
@@ -0,0 +1,49 @@
+##
+## This file is part of the coreboot project.
+##
+##
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+##
+
+target via_vx800example
+mainboard via/vx800example
+
+option  MAXIMUM_CONSOLE_LOGLEVEL=10
+option  DEFAULT_CONSOLE_LOGLEVEL=10
+
+
+#define framebuffer size of VX800's integrated graphics card. support 32 64 128 256 512.
+#CONFIG_VIDEO_MB can only be used in uma_ram_setting.c, should not be referenced  in other file!
+#Since:
+#CONFIG_VIDEO_MB should not > last DDR2 rank size...    
+#if unfortunately,  CONFIG_VIDEO_MB>last_rank_size, then in UMARamSetting.c 
+#the umasize(CONFIG_VIDEO_MB) will be automatically degraded to =last_ram_rank_size.
+option CONFIG_VIDEO_MB =512
+
+
+#
+# Generate the final ROM like this:
+# cat vgabios bochsbios coreboot.rom > coreboot.rom.final
+# 65536=size of vgabios I used
+
+option ROM_SIZE = 512* 1024
+
+romimage "fallback" 
+	option COREBOOT_EXTRA_VERSION = "-VIA MB vx800example"
+	payload /bios.vx800.090701.bin.elf
+	#payload /filo-0.5-cd.elf
+end
+
+buildrom ./coreboot.rom ROM_SIZE "fallback"
